Download

UE Won't Launch on Mac 10.15.7 Catalina (Error Message: Xcode for Metal Compiler

I’m trying to start using UE, just installed it and I’m getting an error message and it won’t launch:

I’ve installed Xcode 12.3 and am trying to launch UE 4.26.0

Thanks in advance!

Hey Bonstone, did you get this to work eventually?

I am on Catalina 10.15.7, with Xcode 12.2. I installed UE 4.26.0 without a problem. After seeing your post I’m not sure whether it is safe for me to update to XCode 12.3

was this ever resolved? im facing the exact same issue.

Entering this command resolved it for me:


sudo xcode-select -s /Applications/Xcode.app/Contents/Developer

There’s some further discussion on this here.